Konnekt / Impact with Mac OS X 10.5 Leopard / 10.6 Snow Leopard

Question

Does Konnekt / Impact Twin support Mac OS X 10.5 Leopard and Mac OS X 10.6 Snow Leopard ?

Answer

Yes, the Konnekt / Impact Twin audio interfaces support Mac OS X 10.5 Leopard and Mac OS X 10.6 Snow Leopard.


Share this page